<table mat-table [dataSource]="dataSource" class="mat-elevation-z8 demo-table">
  <!-- Position Column -->
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef>ID.</th>
    <td mat-cell *matCellDef="let element">{{element.id}}</td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef>Name</th>
    <td mat-cell *matCellDef="let element">{{element.name}}</td>
  </ng-container>

  <ng-container matColumnDef="edit">
    <th mat-header-cell *matHeaderCellDef>edit</th>
    <td mat-cell *matCellDef="let element; let i = index;">
      <button
        mat-icon-button
        routerLink="../edit/{{ element.id }}"
      >
        <mat-icon>edit</mat-icon>
      </button>
      <button
        mat-icon-button
        (click)="delSubject(element.id)"
      >
        <mat-icon>delete_outline</mat-icon>
      </button>
    </td>
  </ng-container>


  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr
      mat-row
      
      *matRowDef="let row; columns: displayedColumns;"
  ></tr>
</table>

<!-- 
(click)="rowClick(row)"
      routerLink="../edit/{{ row.id }}" -->